Skip to main content
GET
/
api
/
v1
/
executions
/
{execution_id}
/
details
Get Execution Details
curl --request GET \
  --url https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/details \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/details"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://control-plane.kubiya.ai/api/v1/executions/{execution_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "workflow_id": "<string>",
  "run_id": "<string>",
  "status": "<string>",
  "execution_id": "<string>",
  "execution_status": "<string>",
  "task_queue": "<string>",
  "workflow_type": "<string>",
  "temporal_web_url": "<string>",
  "trace": {
    "activities": [
      {
        "activity_id": "<string>",
        "activity_type": "<string>",
        "status": "<string>",
        "scheduled_time": "2023-11-07T05:31:56Z",
        "started_time": "2023-11-07T05:31:56Z",
        "completed_time": "2023-11-07T05:31:56Z",
        "duration_ms": 123,
        "attempt": 1,
        "worker_identity": "<string>",
        "failure_message": "<string>",
        "input": {},
        "result": {}
      }
    ],
    "timeline": [
      {}
    ],
    "total_activities": 123,
    "completed_activities": 0,
    "failed_activities": 0
  },
  "start_time": "2023-11-07T05:31:56Z",
  "close_time": "2023-11-07T05:31:56Z",
  "execution_duration_ms": 0,
  "attempt": 1,
  "history_length": 0,
  "history_size_bytes": 0,
  "input": {},
  "recent_events": [
    {
      "event_id": 123,
      "event_type": "<string>",
      "event_time": "2023-11-07T05:31:56Z",
      "details": {}
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

execution_id
string
required

Response

Successful Response

Detailed workflow information

workflow_id
string
required

Temporal workflow ID

run_id
string
required

Temporal run ID

status
string
required

Workflow status

execution_id
string
required

Execution entity ID

execution_status
string
required

Execution status from DB

task_queue
string
required

Task queue name

workflow_type
string
required

Workflow type

temporal_web_url
string
required

Temporal Web UI URL

trace
WorkflowTrace · object
required

Workflow execution trace

start_time
string<date-time> | null

Workflow start time

close_time
string<date-time> | null

Workflow close time

execution_duration_ms
number
default:0

Execution duration in milliseconds

attempt
integer
default:1

Execution attempt number

history_length
integer
default:0

History event count

history_size_bytes
integer
default:0

History size in bytes

input
Input · object | null

Workflow input data

recent_events
WorkflowEvent · object[]

Recent workflow events